/**
 * @file
 * front.css
 * 
 * Styling for the Front Page
 * 
 * -------------------------------------------------
 * Attached thru `.theme`
 *
 ============================================================================ */

/*=======================================
   Global
=========================================*/

#block-letsgo-page-title,
#block-main-content-fp-title {  display: none;  }

/* Set article titles to hover #B33330 */
h3:hover a {
  color: #B33330;
}

/*=======================================
   Sections
=========================================*/

.front-content-inner {  padding: 2em 4em;  } /* Temp until figure out layout */

.article-section {
  margin: 0 0 5rem;
}

.block__title {
  color: #888;
  font-size: 1rem;
  margin: 0 0 1rem;
  font-weight: bolder;
  text-transform: uppercase;
}

/*----------------------------
    Featured Video
  ----------------------------*/
.fp-video .article-featured__image-inner {
  padding: 1.5rem;
  background: #222;
  position: static;
}
  
.fp-video .article-featured__image {
  padding-bottom: 0;
}


@media (min-width: 64.675em) {
  .fp-video .article-featured__image-inner {
    padding-right: 0;
  }
}

@media (max-width: 64.5em) {
  .fp-video .article-featured__image-inner {
    padding-bottom: 0;
  }
}

.fp-video video {
  width: 100%;
}

/*----------------------------
    Featured Article
  ----------------------------*/
.article-section--highlight {
  margin-bottom: 3rem;
}

@media (min-width: 64.675em) {
  .article-featured__image {
    flex: 5 5;
    line-height: 0;
    position: relative;
    overflow: hidden;
    /* height: 0; */
    padding-bottom: 45%;
    min-width: 25em;
  }

  .article-featured__image img {
    /*position: absolute;*/
    /*min-width: 100%;*/
    /*min-height: 100%;*/
    /*max-width: none;*/
    /*top: 50%;*/
    /*left: 50%;*/
    /*width: auto;*/
    /*transform: translate(-50%, -50%);*/
    object-fit: cover;
    height: 100%;
    width: 100%;
  }

  .article-featured__info {
    min-width: 432px;
  } 
}

.article-featured__info {
  flex: 2 2;
  padding: 2em;
  background: #222;
  position: relative;
  z-index: 10;
}
  
.article-featured__image picture,
.article-featured__image-inner {
  position: absolute;
  width: 100%;
  height: 100%;
  display: block;
}

@media (max-width: 64.5em) {
  .article-featured__info {
    order: 3;
  }

  .article-featured__image {
    line-height: 0;
    position: relative;
    width: 100%;
    padding-bottom: calc(125% / 188 * 100);
  }
}

.article-featured__title {
  color: #fff;
  font-size: 2.5rem;
  margin: 0 0 2rem;
}

.article-featured__descript,
.article-featured__author {
  margin: 0 0 2rem;
  color: #ccc;
}

/*----------------------------
    Banner
  ----------------------------*/
#block-fp-top-tisement .footer-tisement {
  margin: 1rem 0 2rem;
}
/*----------------------------
    Top Stories
  ----------------------------*/

/* Top Stories --> in ../custom.css */

/*----------------------------
    Adver-tisements
  ----------------------------*/
.fp--visements {
  width: 90%;
  margin-left: auto;
  margin-right: auto;
  padding: 2em 1em 3em;
  justify-content: center;
  background: #E3E3E3;
}

@media (min-width: 1040px) {
  .small-visements { /* Shift half ads down */
    margin: 0.7em 0 0 0.5em;
  }
}

.fp--visements a {
  line-height: 0;
  margin: 1.2em;
  border: 1px solid #ccc;
  box-shadow: 0 0 0.4em #999;
}

/* .fp--visements img { /* Move to custom.css > Main Content 
  min-width: 390px;
} */

/* "Ads" text */
.tisement-text {
  width: 0;
  align-self: flex-end;
  color: #8A8A8A;
  font-size: 0.9rem;
  font-weight: 500;
}
/*----------------------------
    Special Reports
  ----------------------------*/
@media (min-width: 60em) {
  .article-section--reports > div {
    flex-basis: 50%;
  }

  .article-specials {
    padding-right: 3rem;
  }
}


.line-height-0 {  line-height: 0;  }

/* Special Reports - Spotlight */
.article-special__info {
  margin: 0 0.7rem 3em;
}

h3.article-special__title {
  margin: 0 0 1rem;
  font-size: 2rem;
  font-weight: 700;
  line-height: 1.3;
}

.article-special__descript {
  margin: 0 0 1rem;
}

.article-special__category {
  margin: 1rem 0;
  color: #bbb;
  font-weight: 700;
}

/* Special Reports -- Thumbnails */
@media (min-width: 30em) {
  .article-tbnails {  overflow: hidden;  }

  .article-section--reports > .view-rows {  margin: 0 -0.75rem;  }

  .article-tbnail {
    flex-basis: 50%;
    padding: 0 0.75rem 0;
  }
}

.article-tbnail__info {
  margin: 0.5rem 0.4rem 2rem;
}

.article-tbnail__category {
  color: #a3a3a3;
  font-weight: 700;
  margin: 0 0 0.2em;
}

.article-tbnail__author,
.article-special__author {
  color: #7EBCD4;
  font-weight: 500;
}

h3.article-tbnail__title {
  margin: 0 0 .5rem;
  font-size: 1.2rem;
}


/*==============================================================
    Responsive
================================================================*/
@media screen and (min-width: 750px) {
}
